CREATE TABLE mot_terr_boundary_dn (
    TERR_BOUNDARY_DN_ID           NUMBER(18, 0),
    TERRITORY_ID                  NUMBER(18, 0)    NOT NULL,
    TERRITORY_VERSION_ID          NUMBER(18, 0)    NOT NULL,
    TERR_RULE_ID                  NUMBER(18, 0)    NOT NULL,
    RULE_OPERATOR_CODE            VARCHAR2(120)    NOT NULL,
    RULE_TYPE_CODE                VARCHAR2(120)    NOT NULL,
    PARENT_TERRITORY_ID           NUMBER(18, 0),
    TERR_PROPOSAL_ID              NUMBER(18, 0),
    TERR_STATUS_CODE              VARCHAR2(120)    NOT NULL,
    COVERAGE_MODEL                VARCHAR2(120)    NOT NULL,
    REQUEST_ID                    NUMBER(18, 0),
    GEO_SEQ_LOW                   NUMBER(18, 0),
    GEO_SEQ_HIGH                  NUMBER(18, 0),
    PRODUCT_SEQ_LOW               NUMBER(18, 0),
    PRODUCT_SEQ_HIGH              NUMBER(18, 0),
    ACCOUNT_SEQ_LOW               NUMBER(18, 0),
    ACCOUNT_SEQ_HIGH              NUMBER(18, 0),
    INDUSTRY_SEQ_LOW              NUMBER(18, 0),
    INDUSTRY_SEQ_HIGH             NUMBER(18, 0),
    CUST_SIZE_SEQ_LOW             NUMBER(18, 0),
    CUST_SIZE_SEQ_HIGH            NUMBER(18, 0),
    ORG_TYPE_SEQ_LOW              NUMBER(18, 0),
    ORG_TYPE_SEQ_HIGH             NUMBER(18, 0),
    GEO_INTG_ID                   VARCHAR2(320),
    GEO_HIGH_INTG_ID              VARCHAR2(320),
    GEO_DIM_CODE                  VARCHAR2(20) ,
    PRODUCT_INTG_ID               VARCHAR2(320),
    PRODUCT_HIGH_INTG_ID          VARCHAR2(320),
    PRODUCT_DIM_CODE              VARCHAR2(20) ,
    ACCOUNT_INTG_ID               VARCHAR2(320),
    ACCOUNT_HIGH_INTG_ID          VARCHAR2(320),
    ACCOUNT_DIM_CODE              VARCHAR2(20) ,
    ACCOUNT_NODE_INTG_ID          NUMBER(18, 0),
    INDUSTRY_INTG_ID              VARCHAR2(320),
    INDUSTRY_HIGH_INTG_ID         VARCHAR2(320),
    INDUSTRY_DIM_CODE             VARCHAR2(20) ,
    CUST_SIZE_INTG_ID             VARCHAR2(320),
    CUST_SIZE_HIGH_INTG_ID        VARCHAR2(320),
    CUST_SIZE_DIM_CODE            VARCHAR2(20) ,
    ORG_TYPE_INTG_ID              VARCHAR2(320),
    ORG_TYPE_HIGH_INTG_ID         VARCHAR2(320),
    ORG_TYPE_DIM_CODE             VARCHAR2(20) ,
    AUXILIARY1_DIM_CODE           VARCHAR2(120),
    AUXILIARY1_INTG_ID            VARCHAR2(320),
    AUXILIARY1_HIGH_INTG_ID       VARCHAR2(320),
    AUXILIARY1_SEQ_LOW            NUMBER(18, 0),
    AUXILIARY1_SEQ_HIGH           NUMBER(18, 0),
    AUXILIARY2_DIM_CODE           VARCHAR2(120),
    AUXILIARY2_INTG_ID            VARCHAR2(320),
    AUXILIARY2_HIGH_INTG_ID       VARCHAR2(320),
    AUXILIARY2_SEQ_LOW            NUMBER(18, 0),
    AUXILIARY2_SEQ_HIGH           NUMBER(18, 0),
    AUXILIARY3_DIM_CODE           VARCHAR2(120),
    AUXILIARY3_INTG_ID            VARCHAR2(320),
    AUXILIARY3_HIGH_INTG_ID       VARCHAR2(320),
    AUXILIARY3_SEQ_LOW            NUMBER(18, 0),
    AUXILIARY3_SEQ_HIGH           NUMBER(18, 0),
    ACCT_TYPE_DIM_CODE            VARCHAR2(120),
    ACCT_TYPE_INTG_ID             VARCHAR2(320),
    ACCT_TYPE_HIGH_INTG_ID        VARCHAR2(320),
    ACCT_TYPE_SEQ_LOW             NUMBER(18, 0),
    ACCT_TYPE_SEQ_HIGH            NUMBER(18, 0),
    SALES_CHANNEL_DIM_CODE        VARCHAR2(120),
    SALES_CHANNEL_INTG_ID         VARCHAR2(320),
    SALES_CHANNEL_HIGH_INTG_ID    VARCHAR2(320),
    SALES_CHANNEL_SEQ_LOW         NUMBER(18, 0),
    SALES_CHANNEL_SEQ_HIGH        NUMBER(18, 0),
    PARTNER_DIM_CODE              VARCHAR2(120),
    PARTNER_NODE_INTG_ID          NUMBER(18, 0),
    PARTNER_ID                    NUMBER(18, 0),
    PARTNER_PROGRAM_ID            NUMBER(18, 0),
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CONFLICT_ID                   NUMBER(18, 0)    NOT NULL,
    TERR_BOUNDARY_DN_ID           NUMBER(18, 0),
    TERRITORY_ID                  NUMBER(18, 0)    NOT NULL,
    TERRITORY_VERSION_ID          NUMBER(18, 0)    NOT NULL,
    TERR_RULE_ID                  NUMBER(18, 0)    NOT NULL,
    RULE_OPERATOR_CODE            VARCHAR2(120)    NOT NULL,
    RULE_TYPE_CODE                VARCHAR2(120)    NOT NULL,
    PARENT_TERRITORY_ID           NUMBER(18, 0),
    TERR_PROPOSAL_ID              NUMBER(18, 0),
    TERR_STATUS_CODE              VARCHAR2(120)    NOT NULL,
    COVERAGE_MODEL                VARCHAR2(120)    NOT NULL,
    REQUEST_ID                    NUMBER(18, 0),
    GEO_SEQ_LOW                   NUMBER(18, 0),
    GEO_SEQ_HIGH                  NUMBER(18, 0),
    PRODUCT_SEQ_LOW               NUMBER(18, 0),
    PRODUCT_SEQ_HIGH              NUMBER(18, 0),
    ACCOUNT_SEQ_LOW               NUMBER(18, 0),
    ACCOUNT_SEQ_HIGH              NUMBER(18, 0),
    INDUSTRY_SEQ_LOW              NUMBER(18, 0),
    INDUSTRY_SEQ_HIGH             NUMBER(18, 0),
    CUST_SIZE_SEQ_LOW             NUMBER(18, 0),
    CUST_SIZE_SEQ_HIGH            NUMBER(18, 0),
    ORG_TYPE_SEQ_LOW              NUMBER(18, 0),
    ORG_TYPE_SEQ_HIGH             NUMBER(18, 0),
    GEO_INTG_ID                   VARCHAR2(320),
    GEO_HIGH_INTG_ID              VARCHAR2(320),
    GEO_DIM_CODE                  VARCHAR2(20) ,
    PRODUCT_INTG_ID               VARCHAR2(320),
    PRODUCT_HIGH_INTG_ID          VARCHAR2(320),
    PRODUCT_DIM_CODE              VARCHAR2(20) ,
    ACCOUNT_INTG_ID               VARCHAR2(320),
    ACCOUNT_HIGH_INTG_ID          VARCHAR2(320),
    ACCOUNT_DIM_CODE              VARCHAR2(20) ,
    ACCOUNT_NODE_INTG_ID          NUMBER(18, 0),
    INDUSTRY_INTG_ID              VARCHAR2(320),
    INDUSTRY_HIGH_INTG_ID         VARCHAR2(320),
    INDUSTRY_DIM_CODE             VARCHAR2(20) ,
    CUST_SIZE_INTG_ID             VARCHAR2(320),
    CUST_SIZE_HIGH_INTG_ID        VARCHAR2(320),
    CUST_SIZE_DIM_CODE            VARCHAR2(20) ,
    ORG_TYPE_INTG_ID              VARCHAR2(320),
    ORG_TYPE_HIGH_INTG_ID         VARCHAR2(320),
    ORG_TYPE_DIM_CODE             VARCHAR2(20) ,
    AUXILIARY1_DIM_CODE           VARCHAR2(120),
    AUXILIARY1_INTG_ID            VARCHAR2(320),
    AUXILIARY1_HIGH_INTG_ID       VARCHAR2(320),
    AUXILIARY1_SEQ_LOW            NUMBER(18, 0),
    AUXILIARY1_SEQ_HIGH           NUMBER(18, 0),
    AUXILIARY2_DIM_CODE           VARCHAR2(120),
    AUXILIARY2_INTG_ID            VARCHAR2(320),
    AUXILIARY2_HIGH_INTG_ID       VARCHAR2(320),
    AUXILIARY2_SEQ_LOW            NUMBER(18, 0),
    AUXILIARY2_SEQ_HIGH           NUMBER(18, 0),
    AUXILIARY3_DIM_CODE           VARCHAR2(120),
    AUXILIARY3_INTG_ID            VARCHAR2(320),
    AUXILIARY3_HIGH_INTG_ID       VARCHAR2(320),
    AUXILIARY3_SEQ_LOW            NUMBER(18, 0),
    AUXILIARY3_SEQ_HIGH           NUMBER(18, 0),
    ACCT_TYPE_DIM_CODE            VARCHAR2(120),
    ACCT_TYPE_INTG_ID             VARCHAR2(320),
    ACCT_TYPE_HIGH_INTG_ID        VARCHAR2(320),
    ACCT_TYPE_SEQ_LOW             NUMBER(18, 0),
    ACCT_TYPE_SEQ_HIGH            NUMBER(18, 0),
    SALES_CHANNEL_DIM_CODE        VARCHAR2(120),
    SALES_CHANNEL_INTG_ID         VARCHAR2(320),
    SALES_CHANNEL_HIGH_INTG_ID    VARCHAR2(320),
    SALES_CHANNEL_SEQ_LOW         NUMBER(18, 0),
    SALES_CHANNEL_SEQ_HIGH        NUMBER(18, 0),
    PARTNER_DIM_CODE              VARCHAR2(120),
    PARTNER_NODE_INTG_ID          NUMBER(18, 0),
    PARTNER_ID                    NUMBER(18, 0),
    PARTNER_PROGRAM_ID            NUMBER(18, 0),
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CONFLICT_ID                   NUMBER(18, 0)    NOT NULL,
    CONSTRAINT pk_mot_terr_boundary_dn PRIMARY KEY (TERR_BOUNDARY_DN_ID, TERR_BOUNDARY_DN_ID)
);
